Skip to main content
Skills are small modules that teach your coding agent how to work with Loops. You can install them with a single command, then your agent will be able to reference them when working with Loops. Skills work in tools like Claude, Codex, Cursor, and ChatGPT.

Installation

Install every Loops skill with the skills installer:
curl -fsSL https://install.loops.so/skills | sh
The installer adds the Loops API, CLI, LMX, and email best practices skills.

API skill

This skill allows your agent to build with the Loops API to manage campaigns, contacts, custom properties, mailing lists, events, and transactional emails. Best used inside an application, like a Next.js or Nuxt.js project.

CLI skill

This skill allows your agent to use the Loops CLI to manage contacts, mailing lists, send events, and send transactional emails. Best used inside an LLM.

LMX skill

This skill allows your agent to use Loops’ markup language (LMX) to create and update emails. Best used inside an LLM.

Email best practices skill

This skill helps your agent audit deliverability, lifecycle coverage, consent handling, and transactional vs marketing email setup. Best used inside a project where you want help improving your email sending.

Loops skills

View the Loops skills repo on GitHub.

Loops CLI

View the Loops CLI repo on GitHub.
Last modified on June 15, 2026